package com.liquidnet.common.third.zxlnft.dto;

import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: UploadSecretReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:37
 */
@Data
public class Nft022UploadSecretRespDto implements Serializable {
    /**
     * cos临时密钥id
     */
    private String tempSecretId;
    /**
     * cos临时密钥key
     */
    private String tempSecretKey;
    /**
     * 请求时需要用的token字符串
     */
    private String sessionToken;
    /**
     * cos地址
     */
    private String uploadAddress;

    private static final Nft022UploadSecretRespDto obj = new Nft022UploadSecretRespDto();
    public static Nft022UploadSecretRespDto getNew() {
        try {
            return (Nft022UploadSecretRespDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft022UploadSecretRespDto();
        }
    }

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }
}
